petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatMultAdd

Computes v3 = v2 + A * v1.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultAdd(Mat mat,Vec v1,Vec v2,Vec v3)

Neighbor-wise Collective on Mat and Vec

### Input Parameters

| mat | - the matrix
| v1, v2 | - the vectors

### Output Parameters

v3 -the result

### Notes

The vectors v1 and v3 cannot be the same. I.e., one cannot call MatMultAdd(A,v1,v2,v1).

### See Also

MatMultTranspose(), MatMult(), MatMultTransposeAdd()

Level:beginner
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/mat/examples/tutorials/ex2.c.html
src/mat/examples/tutorials/ex9.c.html
src/snes/examples/tutorials/ex70.c.html